Modifyworld Leiter und Betten funktionieren nicht? HILFE!!

Dieses Thema im Forum "Technischer Support" wurde erstellt von Disk, 26. Oktober 2014.

  1. Disk
    Offline

    Disk

    Registriert seit:
    20. September 2014
    Beiträge:
    29
    Hey,
    ich habe auf meinen Server Modifyworld, dadurch ist erstmal Standartmäßig geblockt, das Leute ohne Permissions Blöcke setzen können und so. Also hab ich für alle Blöcke die man auf dem Server benutzen darf, eine Permission im PermissionEX angelegt. Ich habe in der Modifyworld config.yml "use-material-names: false" also muss ich in den Permissions die Zahlen-ID nutzen. Soweit funktioniert auch alles, wenn ich jedoch die Permisson für Leitern oder Betten vergeben (ID 65, 355/26) funktioniert es dennoch nicht. Habe schon viel rumprobiert, da es bei Leuten mit der Permission "modifyworld.blocks.destroy.*" funktioniert, und auch wenn ich "use-material-names: true" habe und dann die Namen-ID nutze also "modifyworld.blocks.destroy.BED" funktioniert es ebenfalls. Jedoch möchte ich das nicht, da dadurch wiederrum einige andere Blöcke nicht funktionieren bzw. es zulange dauert den Englischen namen für alle Blöcke herauszufinden, da manche ja auch NORMAL_STONE_BRICKS oder so heißen.

    Danke schonmal das du dir meinen langen Thread durchgelesen hast :)
    Habe schon viel probiert, weis aber wirklich nichtmehr was ich tun kann...

    Ich hoffe ihr könnt mir helfen.

    LG Disk <3
     
    #1
  2. AnonymusChaotic
    Offline

    AnonymusChaotic

    Registriert seit:
    22. November 2013
    Beiträge:
    762
    Ort:
    Wien, Österreich
    Minecraft:
    AnonymusChaotic
    langer thread? wenn du meinst...

    Welches Plugin bzw. wo stellst du das ein?
    Welche Version, welche Serversoftware verwendest du?
    Welche Plugins hast du sonst noch?


    muss man bei Betten und Leitern ev. subids für die ausrichtung angeben (itemid:1, itemid:2, ...)

    Welche anderen Blöcke ast du sonst alle noch freigegeben?

    Übrigens würde ich empfehlen, die numerischen ids zu vergessen, die Englischen sind die Zukunft da numerische mit 1.8 entfernt wurden.
     
    #2
  3. Disk
    Offline

    Disk

    Registriert seit:
    20. September 2014
    Beiträge:
    29
    Plugin: Modifyworld
    Eingestellt über Permission in PermissionEx
    Modifyworld v1.19.7
    Serversoftware: Spigot 1.7.10 gepatched auf 1.8
    Keine Plugins, die es beeinflussen :) Soweit weis ich es schon
     
    #3
  4. MrPyro13
    Offline

    MrPyro13

    Registriert seit:
    29. April 2013
    Beiträge:
    829
    Minecraft:
    MrPyro13
    Hallo,

    erstmal würde ich dir von Modifyworld abraten und dir lieber Essentials AntiBuild empfehlen.
    Falls du dennoch bei Modifyworld bleiben möchtest würde ich das mit den Permissions anders regeln:
    1. Alle Blöcke die nicht platziert, zerstört und mit denen nicht interagiert werden darf setzten
    Bsp: TNT
    - modifyworld.blocks.destroy.46
    - modifyworld.blocks.place.46
    - modifyworld.blocks.interact.46

    2. Alles erlauben
    - modifyworld.blocks.*
    ODER
    - modifyworld.blocks.destroy.*
    - modifyworld.blocks.place.*
    - modifyworld.blocks.interact.*

    Was würde mit diesen Permissions passieren:
    Man kann alle Blöcke setzen, zerstören und interagieren AUßER mit TnT


    PS: Falls du Fragen hast, kannst du mir gerne eine PN schicken und dann erkläre ich dir das (auch gern via Skype)
     
    #4
  5. LordHadow!
    Offline

    LordHadow!

    Registriert seit:
    27. September 2014
    Beiträge:
    29
    Minecraft:
    LordHadow
    Check am besten nochmal deine Modifyworld Version nach, ersetz sie evt. mit der neusten und lösch den Ordner.
     
    #5